version: '{{ docker_compose_version }}'
services:
  postgresql:
    container_name: postgresql
    image: postgres:12.2-alpine
    environment:
      POSTGRES_USER: "{{ POSTGRES_USER }}"
      POSTGRES_PASSWORD: "{{ POSTGRES_PASSWORD }}"
    ports:
      - "5432:5432"
    restart: always
    volumes:
      - ./db.sql:/docker-entrypoint-initdb.d/db.sql




   
    networks:
      - app-network    
    

  back:
    image: registry.gitlab.com/maxwjo/dockerci-hw-ansible/back:{{ VER }}
    container_name: back
    environment:
      - "DB_HOST={{ DB_HOST }}"
      - "POSTGRES_USER={{ POSTGRES_USER }}"
      - "POSTGRES_PASSWORD={{ POSTGRES_PASSWORD }}"
      - "SERVER_PORT={{ SERVER_PORT }}"
      - "REACT_APP_PUBLIC_URL={{ REACT_APP_PUBLIC_URL }}"
 


    depends_on:
      - postgresql
      - nginx
    restart: always
    networks:
      - app-network
    
  
  front:
    image: registry.gitlab.com/maxwjo/dockerci-hw-ansible/front:{{ VER }}
    container_name: front

    environment:
      - "REACT_APP_PUBLIC_URL={{ REACT_APP_PUBLIC_URL }}"
   
    networks:
      - app-network
      

    
    restart: always


  nginx:
    image: nginx:1.13
    restart: always
    ports:
      - 80:80
    volumes:
      - ./app.conf:/etc/nginx/conf.d/app.conf
    networks:
      - app-network 


networks:
  app-network:
    driver: bridge





#services:
#{% for service in docker_compose_services %}
#  {{ service.name | default('app' + loop.index|string) }}:
#    container_name: "{{ service.name | default('app' + loop.index|string) }}"
#    image: {{ service.image }}
#    ports:
#      - "{{ service.port_in | default('80') }}:{{ service.port_out | default('80') }}"
      
#{% endfor %}